RankHub

API 目前处于 Early Preview 阶段, 可能存在诸多不完善与错误之处,欢迎加群交流反馈:加入官方交流群(1073434398)

获取游戏格式(机器可读)

GET
/v1/games/{game}/format

返回该游戏的 profile/score 格式:身份字段、统一字段、native 原生字段、评分体系、成绩键/比较值/单曲评分、桶规则。纯静态元数据。未知游戏键 ⇒ 404。

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Path Parameters

game*string

游戏键(小写)

Value in"maimai""chunithm""arcaea""phigros""milthm""notanote""musedash""rizline""osu""orzmic"

Response Body

游戏格式

application/json
  1. response
code*string
message*string
description?string
data*
requestId*string
Example Request
curl -X GET 'https://api.rankhub.cc/v1/games/maimai/format'
Example Response
{  "code": "string",  "message": "string",  "description": "string",  "data": {    "game": "maimai",    "rating": {      "name": "string",      "unit": "string",      "range": "string",      "description": "string"    },    "profile": {      "identityFields": [        {          "name": "string",          "type": "string",          "nullable": true,          "unit": "percent",          "range": "string",          "description": "string",          "required": true,          "example": "string"        }      ],      "fields": [        {          "name": "string",          "type": "string",          "nullable": true,          "unit": "percent",          "range": "string",          "description": "string"        }      ],      "nativeFields": [        {          "name": "string",          "type": "string",          "nullable": true,          "unit": "percent",          "range": "string",          "description": "string"        }      ]    },    "score": {      "keyFields": [        "string"      ],      "compareField": "string",      "ratingField": "string",      "fields": [        {          "name": "string",          "type": "string",          "nullable": true,          "unit": "percent",          "range": "string",          "description": "string"        }      ],      "nativeFields": [        {          "name": "string",          "type": "string",          "nullable": true,          "unit": "percent",          "range": "string",          "description": "string"        }      ],      "buckets": [        {          "key": "string",          "label": "string",          "rule": "string",          "totalsKeys": [            "string"          ]        }      ]    },    "docsSlug": "string",    "formatVersion": "string",    "notes": [      "string"    ]  },  "requestId": "string"}